NX Open C++ Reference Guide
|
Represents a @link CAE::PostGraphOrbitBuilder CAE::PostGraphOrbitBuilder@endlink <br> This is an abstract class and cannot be instantiated <br>
Created in NX9.0.0.
More...
Public Member Functions | |
NXString | GraphTitle () |
Returns the graph title Created in NX9.0.0. | |
void | SetEntityIds (const std::vector< int > &entityIds) |
Set entity ids for extracting result data Created in NX9.0.0. | |
void | SetFreePoints (const std::vector< NXOpen::Point3d > &freePoints) |
Set free points for extracting data Created in NX9.0.0. | |
void | SetGraphTitle (const NXString &stringGraphTitle) |
Sets the graph title Created in NX9.0.0. | |
void | SetGraphTitle (const char *stringGraphTitle) |
Sets the graph title Created in NX9.0.0. | |
void | SetXresultComponent (NXOpen::CAE::Result::Component xresult) |
Sets the component used as x axis for orbit plot Created in NX9.0.0. | |
void | SetYresultComponent (NXOpen::CAE::Result::Component yresult) |
Sets the component used as y axis for orbit plot Created in NX9.0.0. | |
NXOpen::CAE::Result::Component | XresultComponent () |
Returns the component used as x axis for orbit plot Created in NX9.0.0. | |
NXOpen::CAE::Result::Component | YresultComponent () |
Returns the component used as y axis for orbit plot Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link CAE::PostGraphOrbitBuilder CAE::PostGraphOrbitBuilder@endlink <br> This is an abstract class and cannot be instantiated <br>
Created in NX9.0.0.
NXString NXOpen::CAE::PostGraphOrbitBuilder::GraphTitle | ( | ) |
Returns the graph title
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::PostGraphOrbitBuilder::SetEntityIds | ( | const std::vector< int > & | entityIds | ) |
Set entity ids for extracting result data
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
entityIds | entityids |
void NXOpen::CAE::PostGraphOrbitBuilder::SetFreePoints | ( | const std::vector< NXOpen::Point3d > & | freePoints | ) |
Set free points for extracting data
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
freePoints | freepoints |
void NXOpen::CAE::PostGraphOrbitBuilder::SetGraphTitle | ( | const NXString & | stringGraphTitle | ) |
Sets the graph title
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
stringGraphTitle | stringgraphtitle |
void NXOpen::CAE::PostGraphOrbitBuilder::SetGraphTitle | ( | const char * | stringGraphTitle | ) |
Sets the graph title
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
stringGraphTitle | stringgraphtitle |
void NXOpen::CAE::PostGraphOrbitBuilder::SetXresultComponent | ( | NXOpen::CAE::Result::Component | xresult | ) |
Sets the component used as x axis for orbit plot
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
xresult | xresult |
void NXOpen::CAE::PostGraphOrbitBuilder::SetYresultComponent | ( | NXOpen::CAE::Result::Component | yresult | ) |
Sets the component used as y axis for orbit plot
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
yresult | yresult |
NXOpen::CAE::Result::Component NXOpen::CAE::PostGraphOrbitBuilder::XresultComponent | ( | ) |
Returns the component used as x axis for orbit plot
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::Result::Component NXOpen::CAE::PostGraphOrbitBuilder::YresultComponent | ( | ) |
Returns the component used as y axis for orbit plot
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")